# $Revision: 1.23 $, $Date: 2007/02/13 06:46:51 $
Summary:	LibIdent - Library
Summary(pl.UTF-8):	LibIdent - Biblioteka
Name:		libident
Version:	0.22
Release:	5
License:	Public Domain
Group:		Libraries
Source0:	ftp://ftp.lysator.liu.se/pub/ident/libs/%{name}-%{version}.tar.gz
# Source0-md5:	218b6706e574ca5b41a0a675cf1860eb
Patch0:		%{name}-DESTDIR.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibIdent is a library which provides ident support in application.

%description -l pl.UTF-8
LibIdent jest biblioteką udostępniającą interfejs do usługi ident.

%package devel
Summary:	LibIdent - header files
Summary(pl.UTF-8):	LibIdent - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
LibIdent - header files.

%description devel -l pl.UTF-8
LibIdent - pliki nagłówkowe.

%package static
Summary:	LibIdent - Static Library
Summary(pl.UTF-8):	LibIdent - Biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
LibIdent - Static Library.

%description static -l pl.UTF-8
LibIdent - Biblioteka statyczna.

%prep
%setup -q
%patch0 -p1

%build
%{__make} all \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC -DHAVE_ANSIHEADERS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_mandir}/man3,%{_includedir}}

%{__make} install \
	INSTROOT=$RPM_BUILD_ROOT%{_prefix} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libident.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libident.so
%{_includedir}/ident.h
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libident.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libident.spec,v $
Revision 1.23  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.21  2004/02/29 01:05:04  qboosh
- pass LIBDIR for lib64 support, release 5

Revision 1.20  2004/02/28 19:44:54  qboosh
- fixed install in DESTDIR patch, fixed License, added -fPIC, release 4

Revision 1.19  2003/05/28 14:04:16  malekith
- use %{name}, not %name

Revision 1.18  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 05:49:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/07/27 07:16:48  marcus
- use new %%doc
- rel.3.

Revision 1.15  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/02 20:22:41  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.12  2002/02/01 14:51:26  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.11  2002/01/18 02:13:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/04/24 02:51:43  kloczek
- adapterized.

Revision 1.9  2001/04/14 19:13:14  mkochano
- Release 2.
- Added %%pre and %%post sections with call to ldconfig.

Revision 1.8  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2001/01/06 14:36:15  kloczek
- move %doc to devel,
- use rpm automation (do not compress directly man pages in spec),
- perm 755 on shatred libraries,
- few cosmetics.

Revision 1.6  2001/01/06 13:28:28  undefine
- build shared library

Revision 1.5  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/06/07 03:01:13  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.1  2000/01/14 09:49:07  cieciwa
- build RPM.
